# Uses of Class
org.snpeff.geneSets.Result

Packages that use Result
Package
Description
org.snpeff.geneSets
org.snpeff.geneSets.algorithm

## Uses of Result in org.snpeff.geneSets

Methods in org.snpeff.geneSets with parameters of type Result
Modifier and Type
Method
Description
`int`
Result.`compareTo(Result res)`
Constructors in org.snpeff.geneSets with parameters of type Result
Modifier
Constructor
Description
``
`Result(Result res)`

## Uses of Result in org.snpeff.geneSets.algorithm

Methods in org.snpeff.geneSets.algorithm that return Result
Modifier and Type
Method
Description
`protected Result`
EnrichmentAlgorithmGreedy.`greedyPvalue(Result prevResult)`
Calculate best list of terms by adding a new term to a list that minimize p-value (rank sum)
`protected Result`
EnrichmentAlgorithmGreedy.`greedyPvalue(Result prevResult, int minGeneSetSize, int maxGeneSetSize)`
Calculate best list of terms by adding a new term to a list that minimize p-value (rank sum) Only look for genesets within [minGeneSetSize, maxGeneSetSize] size range
`protected Result`
EnrichmentAlgorithmGreedyVariableSize.`greedyPvalue(Result prevResult)`
Find best p-value using a greedy algorithm (smaller gene sets first)
`Result`
EnrichmentAlgorithm.`select()`
Select the 'best' gene sets
`Result`
EnrichmentAlgorithmGreedy.`select()`
Select the 'best' gene sets
Methods in org.snpeff.geneSets.algorithm with parameters of type Result
Modifier and Type
Method
Description
`protected Result`
EnrichmentAlgorithmGreedy.`greedyPvalue(Result prevResult)`
Calculate best list of terms by adding a new term to a list that minimize p-value (rank sum)
`protected Result`
EnrichmentAlgorithmGreedy.`greedyPvalue(Result prevResult, int minGeneSetSize, int maxGeneSetSize)`
Calculate best list of terms by adding a new term to a list that minimize p-value (rank sum) Only look for genesets within [minGeneSetSize, maxGeneSetSize] size range
`protected Result`
EnrichmentAlgorithmGreedyVariableSize.`greedyPvalue(Result prevResult)`
Find best p-value using a greedy algorithm (smaller gene sets first)
`protected boolean`
EnrichmentAlgorithm.`isShow(Result result)`
Showld we show this result or should the output be filtered?
`protected boolean`
EnrichmentAlgorithmGreedy.`stopCriteria(Result result)`
Stop criteria
`protected boolean`
RankSumPValueGreedyAlgorithm.`stopCriteria(Result result)`
Stop criteria